Loading...
Searching...
No Matches
ranges::iterator_wrapper< I > Struct Template Reference
Utility

## Public Types

using | difference_type = iter_difference_t< I >

## Public Member Functions

I | base () const
| iterator_wrapper (I &i)
| iterator_wrapper (iterator_wrapper const &that)
auto | operator* () const CPP_AUTO_FUN_RETURNS_CONST_0(return **i_) iterator_wrapper &operator++()
void | operator++ (int)
iterator_wrapper & | operator= (iterator_wrapper const &that)